function::strtol
Prev | Chapter 28. A collection of standard string functions | Next

## Name

function::strtol — strtol - Convert a string to a long

## Synopsis

        strtol:long(str:string,base:long)

## Arguments

`str`

  string to convert

`base`

  the base to use

## Description

This function converts the string representation of a number to an integer. The `base` parameter indicates the number base to assume for the string (eg. 16 for hex, 8 for octal, 2 for binary).

Prev | Up | Next
function::strpos | Home | function::substr